cls_name: Cybertron
model:
  cls_name: MolCT
  dim_feature: 128
  dim_edge_emb: 64
  interaction: null
  n_interaction: 3
  activation: silu
  open_act: false
  n_heads: 8
  max_cycles: 10
  coupled_interaction: false
  fixed_cycles: false
  use_feed_forward: false
  act_threshold: 0.9
embedding:
  cls_name: MolEmbedding
  dim_node: 128
  dim_edge: null
  emb_dis: true
  emb_bond: false
  cutoff: 1
  cutoff_fn: smooth
  rbf_fn: log_gaussian
  num_basis: null
  atom_filter: null
  dis_filter: null
  bond_filter: residual
  interaction: null
  dis_self:
    cls_name: Length
    value: 0.05
    unit: nm
  use_sub_cutoff: false
  cutoff_buffer:
    cls_name: Length
    value: 0.2
    unit: nm
  num_atom_types: 64
  num_bond_types: 16
  initializer:
    cls_name: Normal
    sigma: 1.0
    mean: 0.0
  activation: silu
  length_unit: nm
readout:
  cls_name: AtomwiseReadout
  dim_output: 1
  dim_node_rep: 128
  activation: silu
  decoder: halve
  aggregator: sum
  scaleshift:
  - 1
  - 0
  - null
  - true
  axis: -2
num_atoms: null
atom_type:
- - 8
  - 6
  - 6
  - 6
  - 6
  - 6
  - 6
  - 1
  - 1
  - 1
  - 1
  - 1
  - 1
  - 1
  - 1
bond_types: null
pbc_box: null
use_pbc: null
scale: 1
shift: 0
type_ref: null
length_unit: nm
energy_unit: null
